1Passwd 2.4.7 Adds Leopard Support

| News

Agile Web Solutions announced the immediate availability of 1Passwd 2.4.7 on Thursday. The updated version of the Web password manager application added support for Appleis upcoming Mac OS X 10.5 release. It also improved overall application security, and added support for Safari 3.0.2, Flock 0.9 and OmniWeb 5.6.

1Passwd requires Mac OS X 10.4 or higher, and is available for download at the 1Passwd Web site. It is priced at US$29.95.

No Comments

Log-in to comment